package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.base.PBStandard;
import com.ynet.life.sujrb.softEncode.PinSecurityModule;
import java.util.StringTokenizer;
import org.apache.axis.utils.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CoreEncryptAction.class */
public class CoreEncryptAction extends LifeAction {
    private String password;
    private String cardNo;
    private String enPassword;
    private static String encryptKey = PBStandard.getBankSettingsValue("encryptKey");

    public String execute(Context context) throws GENEException {
        if (StringUtils.isEmpty(encryptKey)) {
            throw new TranFailException("核心加密秘钥为空");
        }
        if (StringUtils.isEmpty(this.password) || StringUtils.isEmpty(this.enPassword)) {
            throw new TranFailException("核心加密参数配置为空");
        }
        PinSecurityModule psm = new PinSecurityModule();
        psm.setKey(encryptKey);
        StringTokenizer passwordSt = new StringTokenizer(this.password, ",");
        StringTokenizer enPasswordSt = new StringTokenizer(this.enPassword, ",");
        while (passwordSt.hasMoreTokens() && enPasswordSt.hasMoreTokens()) {
            String passwordStField = (String) passwordSt.nextElement();
            String enPasswordStField = (String) enPasswordSt.nextElement();
            String crPassord = (String) context.getDataValue(passwordStField);
            String password = psm.pinEncrypt(crPassord, (String) null, 0);
            context.setDataValue(enPasswordStField, password);
        }
        return "0";
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public void setEnPassword(String enPassword) {
        this.enPassword = enPassword;
    }
}
